#
# spec file for package LaTeX-Creator
#
# Copyright (c) 2023 E W <webe.info@gmx-topmail.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           latex-creator
Version:        2.2.1.3
Release:        0
Summary:        Verwenden der LaTeX-Vorlage
License:        GPL-3.0-or-later
URL:            https://gitlab.tu-ilmenau.de/erwi4690/latex-creator.git
Source:         latex-creator.tar.gz
BuildRequires:  cmake >= 3.5
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  cmake(Qt5Widgets)

%description
Erstellen eines neuen LaTeX-Dokumentes, basierend auf der Vorlage "Formblatt".

%prep
%setup -q

%build
%cmake
%make_build

%install
%cmake_install
for i in 16 32 48 64 128 256; do
  install -D -m0644 resources/icon/file-tex_${i}x${i}-32.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/tex-file.png
done
%suse_update_desktop_file -c %{name} LaTeX-Creator "LaTeX-Dokument aus Vorlage erstellen" latex-creator tex-file Office

%files
%license LICENSE
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/tex-file.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.tex

%changelog

